summaryrefslogtreecommitdiffstats
path: root/native_client_sdk/src/documentation/check.sh
diff options
context:
space:
mode:
authorbradnelson@google.com <bradnelson@google.com@0039d316-1c4b-4281-b951-d872f2087c98>2011-11-19 02:46:32 +0000
committerbradnelson@google.com <bradnelson@google.com@0039d316-1c4b-4281-b951-d872f2087c98>2011-11-19 02:46:32 +0000
commit745945afe8e9fbfad7bb9ed442143172bf690073 (patch)
tree770e9c5f61e1204221fb4c2887cb863ad8b6688f /native_client_sdk/src/documentation/check.sh
parentf0953ccbeb01a7a4ed1daa3cb84c2bc42adbed1f (diff)
downloadchromium_src-745945afe8e9fbfad7bb9ed442143172bf690073.zip
chromium_src-745945afe8e9fbfad7bb9ed442143172bf690073.tar.gz
chromium_src-745945afe8e9fbfad7bb9ed442143172bf690073.tar.bz2
Adding reduced version of sdk at 1387 to chrome tree.
BUG=None TEST=None R=noelallen@google.com TBR git-svn-id: svn://svn.chromium.org/chrome/trunk/src@110822 0039d316-1c4b-4281-b951-d872f2087c98
Diffstat (limited to 'native_client_sdk/src/documentation/check.sh')
-rwxr-xr-xnative_client_sdk/src/documentation/check.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/native_client_sdk/src/documentation/check.sh b/native_client_sdk/src/documentation/check.sh
new file mode 100755
index 0000000..ce3b49f
--- /dev/null
+++ b/native_client_sdk/src/documentation/check.sh
@@ -0,0 +1,26 @@
+#!/bin/bash
+
+# simple script to check html via tidy. Either specify html files on
+# command line or rely on default which checks all html files in
+# current directory
+set -o nounset
+set -o errexit
+
+
+CheckFile () {
+ echo "========================================"
+ echo "checking $1"
+ echo "========================================"
+ tidy -e -q $1
+}
+
+
+if [ $# -eq 0 ] ; then
+ for file in *.html ; do
+ CheckFile ${file}
+ done
+else
+ for file in $* ; do
+ CheckFile ${file}
+ done
+fi